Skip to content

getDimensionPivotLines

READ

Drill-through: the journal lines behind one pivot cell.

POST /api/v1/accounting/getDimensionPivotLines
curl -X POST '<your-host>/api/v1/accounting/getDimensionPivotLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "report": "string",
    "startDate": "string",
    "endDate": "string",
    "filters": "string"
  }'
Response
{
  "results": [
    {
      "accountId": "string",
      "accountName": "string",
      "accountNumber": "string",
      "amount": 0,
      "description": "string",
      "documentId": "string",
      "documentType": "string",
      "id": "string",
      "journalEntryId": "string",
      "postingDate": "string",
      "quantity": 0
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "report": {},
    "scrapAccountIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "startDate": {
      "type": "string"
    },
    "endDate": {
      "type": "string"
    },
    "filters": {},
    "rowDimension1": {
      "type": "string"
    },
    "rowValue1": {
      "type": "string"
    },
    "rowValue1IsNull": {
      "type": "boolean"
    },
    "rowDimension2": {
      "type": "string"
    },
    "rowValue2": {
      "type": "string"
    },
    "rowValue2IsNull": {
      "type": "boolean"
    },
    "columnDimension": {
      "type": "string"
    },
    "columnValue": {
      "type": "string"
    },
    "columnValueIsNull": {
      "type": "boolean"
    },
    "columnPeriodStart": {
      "type": "string"
    },
    "columnPeriodEnd": {
      "type": "string"
    },
    "accountIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "report",
    "startDate",
    "endDate",
    "filters"
  ]
}